Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SafeSortedMap.SkipNode

`java.lang.Object
com.tangosol.util.SafeSortedMap.SkipNode`

Direct Known Subclasses:
  SafeSortedMap.IndexNode

Enclosing class:
  SafeSortedMap

      protected static class SafeSortedMap.SkipNode

extends Object

SkipNode is an entry or index node in the lattice for a SafeSortedMap's representation.

Field Summary
`protected static AtomicReferenceFieldUpdater` | `m_atomicUpdaterNext` AtomicUpdater for the casNext operation.
`protected SafeSortedMap.SkipNode` | `m_nodeBelow` The SkipNode "below" this one in the node lattice.
`protected SafeSortedMap.EntryNode` | `m_nodeEntry` The EntryNode indexed by this node in the lattice.
`protected SafeSortedMap.SkipNode` | `m_nodeNext` The SkipNode "below" this one in the node lattice.

Constructor Summary
`protected` | `SafeSortedMap.SkipNode(SafeSortedMap.SkipNode nodeBelow, SafeSortedMap.EntryNode nodeEntry)` Construct a SkipNode according to the specified parameters.

Method Summary
`protected boolean` | `casNext(SafeSortedMap.SkipNode nodeAssume, SafeSortedMap.SkipNode nodeNext)` Atomically set the specified next SkipNode iff the current next node matches the expected node.
`protected SafeSortedMap.SkipNode` | `getBelow()` Return the node below this one in the skip-list.
`protected SafeSortedMap.EntryNode` | `getEntryNode()` Return the EntryNode below this one in the skip-list.
`protected SafeSortedMap.SkipNode` | `getNext()` Return the next node in this node-list.
`protected void` | `setNext(SafeSortedMap.SkipNode nodeNext)` Set the next node in this node-list.

Field Detail

### m_atomicUpdaterNext

    protected static final AtomicReferenceFieldUpdater m_atomicUpdaterNext

  AtomicUpdater for the casNext operation.

### m_nodeEntry

    protected final SafeSortedMap.EntryNode m_nodeEntry

  The EntryNode indexed by this node in the lattice.

### m_nodeBelow

    protected final SafeSortedMap.SkipNode m_nodeBelow

  The SkipNode "below" this one in the node lattice.

### m_nodeNext

    protected volatile SafeSortedMap.SkipNode m_nodeNext

  The SkipNode "below" this one in the node lattice.

Constructor Detail

### SafeSortedMap.SkipNode

    protected SafeSortedMap.SkipNode(SafeSortedMap.SkipNode nodeBelow,
                                     SafeSortedMap.EntryNode nodeEntry)

  Construct a SkipNode according to the specified parameters.
  Parameters:
    `nodeBelow` - the node "below" this, or null
    `nodeEntry` - the EntryNode that this SkipNode serves as an index for

Method Detail

### getNext

    protected SafeSortedMap.SkipNode getNext()

  Return the next node in this node-list.
  Returns:
    the next node in this node-list

### setNext

    protected void setNext(SafeSortedMap.SkipNode nodeNext)

  Set the next node in this node-list.
  Parameters:
    `nodeNext` - the next node in this node-list

### casNext

    protected boolean casNext(SafeSortedMap.SkipNode nodeAssume,
                              SafeSortedMap.SkipNode nodeNext)

  Atomically set the specified next SkipNode iff the current next node matches the expected node.
  Parameters:
    `nodeAssume` - the assumed "next" SkipNode
    `nodeNext` - the new "next" SkipNode
  Returns:
    true iff the update is performed

### getBelow

    protected SafeSortedMap.SkipNode getBelow()

  Return the node below this one in the skip-list.
  Returns:
    the next below this one in the skip-list

### getEntryNode

    protected SafeSortedMap.EntryNode getEntryNode()

  Return the EntryNode below this one in the skip-list.
  Returns:
    the EntryNode below this one in the skip-list

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.